package com.webage.ejbs.bank.account;

import java.util.List;

import javax.ejb.Local;

@Local
public interface AccountManagerLocal {
	public double getAccountBalance(int nb);

	public int createAccount(double balance) throws AccountException;

	public Account getAccount(int accountNb);

	void closeAccount(int accountNb);

	public List<Account> findAccountLargerThan(double balance);

	void updateAccount(Account account);

	void credit(int accountNb, double amount);

	void debit(int accountNb, double amount);

	public String restricted();
}
